System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to mount - unrecognized fs version

 
Prasanth V Aravind
Trusted Contributor

Unable to mount - unrecognized fs version

Hi All,

A filesystem which was created on DB server & have disk layout version6. Now we have taken BCV for this & trying to mount on a backup server.

The vg got imported successfully. But when i trying to mount FS its showing error unrecognized fs version.

These are the servers details:-

DB server-

11:23
Base-VXFS 4.1.002 VERITAS File System Bundle 4.1 for HP-UX
Base-VXVM B.04.10.011 Base VERITAS Volume Manager Bundle 4.1 for HP-UX



Backup server:-

11.23
Base-VXVM B.04.10.011 Base VERITAS Volume Manager Bundle 4.1 for HP-UX


Filesystems in DB server have disk layout version -6
Filesystems in BKP server have disk layout version -5

BUt both servers have Base-VXVM 4.1 installed which should support disklayout version6.

pls suggest

Regrads
Prasanth
10 REPLIES
Matti_Kurkela
Honored Contributor

Re: Unable to mount - unrecognized fs version

The disklayout support is in Base-VXFS, not in Base-VXVM.

MK
MK
Prasanth V Aravind
Trusted Contributor

Re: Unable to mount - unrecognized fs version

Here i am uploading the swlist from my BKP server..

not able to find base-vxfs version in this ...

but jfs for 11.23 installed ..
Prasanth V Aravind
Trusted Contributor

Re: Unable to mount - unrecognized fs version

You mean, am i need to install vxfs 4.1 in backup server.
Matti_Kurkela
Honored Contributor

Re: Unable to mount - unrecognized fs version

Exactly.

MK
MK
Prasanth V Aravind
Trusted Contributor

Re: Unable to mount - unrecognized fs version


I had gone for vxfs installation on this box ..

but unlucky it got failed with errors for 348 filesets...

here with i am sending the logs .. my doubt is that, how many patches are missing here ... 348 or one (PHKL_31151)??

first error was for patch PHKL_31151 & all others seems to be because of this ..

pls correct me if i am wrong.

Prasanth V Aravind
Trusted Contributor

Re: Unable to mount - unrecognized fs version

Ohh .. i missed the attachment
nightwich
Valued Contributor

Re: Unable to mount - unrecognized fs version

Hi Prasanth.


Yes you need to have equal or great version of Base-vxfs. I already have this problem.


So as mentioned you need to install.

Whats concern to your problem, try to download the patch install and then install the new version of base-vxfs.

Please reply if you have any doubt.

Regards.
Mike Miller_8
Regular Advisor

Re: Unable to mount - unrecognized fs version

You should try and always have the same patch level between your production and backup servers. Match the patch level of your production box and install vxfs.

Good luck.
Prasanth V Aravind
Trusted Contributor

Re: Unable to mount - unrecognized fs version

My question is..

The vxfs 4.1 got installed partially on my system with some dependency patches. But new-kernel was not created.

so is it preferable to swremove vxfs before installing the dependency patches ?

or can i do a swverify ?


Prasanth
chris huys_4
Honored Contributor

Re: Unable to mount - unrecognized fs version

Hi Prasanth,

So much was done wrong; not knowing that vxfs is part of the base-vxfs fileset, not reading the vxfs 4.1 upgrade guide that is part of docs.hp.com, hopefully a ignite backup before installing the software was made, trying to force install the vxfs 4.1 software with reinstall=true, which is an absolute no no, never try to force install software/patches on HP-UX, with reinstall=true, who ever asks it, it will only invite disaster, doing a non-interactive swinstall, I think, when a interactive swinstall is always preferrable, going further to the execution phase of swinstall, when the analysis phase reported hunderds of errors, not trying to find some help to explain the errors reported before going further; that the system is now beyond repair imo.

Reinstall the system from ignite backup/scratch.

Greetz,
Chris